import { Swatch } from '@microsoft/fast-components';
import { CSSDirective } from '@microsoft/fast-element';
import { CSSDesignToken } from '@microsoft/fast-foundation';
export type CSSVarTokenMap<T extends keyof any> = Partial<Record<T, CSSDesignToken<Swatch | string>>>;
export declare class CSSVarsTokenMapper extends CSSDirective {
    private tokenMap;
    constructor(tokenMap: CSSVarTokenMap<any>);
    private createTokenPartial;
    private createTokensCSS;
    createCSS(): string;
}
//# sourceMappingURL=directives.d.ts.map