import { AccordionItem as FASTAccordionItem } from '@microsoft/fast-components';
import { AccordionItemOptions } from '@microsoft/fast-foundation';
/**
 * @tagname %%prefix%%-accordion-item
 */
export declare class AccordionItem extends FASTAccordionItem {
}
export declare const foundationAccordionItemShadowOptions: ShadowRootInit;
export declare const defaultAccordionItemConfig: {
    collapsedIcon: string;
    expandedIcon: string;
};
/**
 * The Foundation Accordion Item
 *
 * @public
 * @remarks
 * HTML Element: \<foundation-accordion-item\>
 */
export declare const foundationAccordionItem: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<AccordionItemOptions>) => import("@microsoft/fast-foundation").FoundationElementRegistry<AccordionItemOptions, import("@microsoft/fast-element").Constructable<import("@microsoft/fast-foundation").FoundationElement>>;
//# sourceMappingURL=accordion-item.d.ts.map