import type { Container } from '@microsoft/fast-foundation';
export declare const baseComponents: {
    foundationAccordion: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<import("@microsoft/fast-foundation").FoundationElementDefinition>) => import("@microsoft/fast-foundation").FoundationElementRegistry<import("@microsoft/fast-foundation").FoundationElementDefinition, typeof import("./accordion").Accordion>;
    foundationAccordionItem: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<import("@microsoft/fast-foundation").AccordionItemOptions>) => import("@microsoft/fast-foundation").FoundationElementRegistry<import("@microsoft/fast-foundation").AccordionItemOptions, import("@microsoft/fast-element").Constructable<import("@microsoft/fast-foundation").FoundationElement>>;
    foundationActionsMenu: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<import("@microsoft/fast-foundation").FoundationElementDefinition>) => import("@microsoft/fast-foundation").FoundationElementRegistry<import("@microsoft/fast-foundation").FoundationElementDefinition, typeof import("./actions-menu").ActionsMenu>;
    foundationAnchor: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<import("@microsoft/fast-foundation").FoundationElementDefinition>) => import("@microsoft/fast-foundation").FoundationElementRegistry<import("@microsoft/fast-foundation").FoundationElementDefinition, typeof import("./anchor").Anchor>;
    foundationAnchoredRegion: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<import("@microsoft/fast-foundation").FoundationElementDefinition>) => import("@microsoft/fast-foundation").FoundationElementRegistry<import("@microsoft/fast-foundation").FoundationElementDefinition, typeof import("./anchored-region").AnchoredRegion>;
    foundationAvatar: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<import("@microsoft/fast-foundation").FoundationElementDefinition>) => import("@microsoft/fast-foundation").FoundationElementRegistry<import("@microsoft/fast-foundation").FoundationElementDefinition, typeof import("./avatar").Avatar>;
    foundationBadge: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<import("@microsoft/fast-foundation").FoundationElementDefinition>) => import("@microsoft/fast-foundation").FoundationElementRegistry<import("@microsoft/fast-foundation").FoundationElementDefinition, typeof import("./badge").Badge>;
    foundationBanner: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<{
        baseName: string;
        styles: import("@microsoft/fast-element").ElementStyles;
        template: import("@microsoft/fast-element").ViewTemplate<import("./banner").Banner, any>;
        shadowOptions: ShadowRootInit;
    }>) => import("@microsoft/fast-foundation").FoundationElementRegistry<{
        baseName: string;
        styles: import("@microsoft/fast-element").ElementStyles;
        template: import("@microsoft/fast-element").ViewTemplate<import("./banner").Banner, any>;
        shadowOptions: ShadowRootInit;
    }, typeof import("./banner").Banner>;
    foundationBreadcrumbItem: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<import("@microsoft/fast-foundation").BreadcrumbItemOptions>) => import("@microsoft/fast-foundation").FoundationElementRegistry<import("@microsoft/fast-foundation").BreadcrumbItemOptions, import("@microsoft/fast-element").Constructable<import("@microsoft/fast-foundation").FoundationElement>>;
    foundationBreadcrumb: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<import("@microsoft/fast-foundation").FoundationElementDefinition>) => import("@microsoft/fast-foundation").FoundationElementRegistry<import("@microsoft/fast-foundation").FoundationElementDefinition, typeof import("./breadcrumb").Breadcrumb>;
    foundationButton: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<import("@microsoft/fast-foundation").FoundationElementDefinition>) => import("@microsoft/fast-foundation").FoundationElementRegistry<import("@microsoft/fast-foundation").FoundationElementDefinition, typeof import("./button").Button>;
    foundationCalendar: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<import("@microsoft/fast-foundation").CalendarOptions>) => import("@microsoft/fast-foundation").FoundationElementRegistry<import("@microsoft/fast-foundation").CalendarOptions, import("@microsoft/fast-element").Constructable<import("@microsoft/fast-foundation").FoundationElement>>;
    foundationCard: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<import("@microsoft/fast-foundation").FoundationElementDefinition>) => import("@microsoft/fast-foundation").FoundationElementRegistry<import("@microsoft/fast-foundation").FoundationElementDefinition, typeof import("./card").Card>;
    foundationCategorizedMultiselect: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<{
        baseName: string;
        template: import("@microsoft/fast-element").ViewTemplate<import("./categorized-multiselect").CategorizedMultiselect, any>;
        styles: import("@microsoft/fast-element").ElementStyles;
        shadowOptions: ShadowRootInit;
    }>) => import("@microsoft/fast-foundation").FoundationElementRegistry<{
        baseName: string;
        template: import("@microsoft/fast-element").ViewTemplate<import("./categorized-multiselect").CategorizedMultiselect, any>;
        styles: import("@microsoft/fast-element").ElementStyles;
        shadowOptions: ShadowRootInit;
    }, typeof import("./categorized-multiselect").CategorizedMultiselect>;
    foundationCheckbox: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<import("@microsoft/fast-foundation").CheckboxOptions>) => import("@microsoft/fast-foundation").FoundationElementRegistry<import("@microsoft/fast-foundation").CheckboxOptions, import("@microsoft/fast-element").Constructable<import("@microsoft/fast-foundation").FoundationElement>>;
    foundationCombobox: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<import("@microsoft/fast-foundation").ComboboxOptions>) => import("@microsoft/fast-foundation").FoundationElementRegistry<import("@microsoft/fast-foundation").ComboboxOptions, import("@microsoft/fast-element").Constructable<import("@microsoft/fast-foundation").FoundationElement>>;
    foundationConnectionIndicator: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<import("@microsoft/fast-foundation").FoundationElementDefinition>) => import("@microsoft/fast-foundation").FoundationElementRegistry<import("@microsoft/fast-foundation").FoundationElementDefinition, typeof import("./connection-indicator").ConnectionIndicator>;
    foundationDataGrid: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<import("@microsoft/fast-foundation").FoundationElementDefinition>) => import("@microsoft/fast-foundation").FoundationElementRegistry<import("@microsoft/fast-foundation").FoundationElementDefinition, typeof import("./data-grid").DataGrid>;
    foundationDataGridCell: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<import("@microsoft/fast-foundation").FoundationElementDefinition>) => import("@microsoft/fast-foundation").FoundationElementRegistry<import("@microsoft/fast-foundation").FoundationElementDefinition, typeof import("./data-grid-cell").DataGridCell>;
    foundationDataGridRow: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<import("@microsoft/fast-foundation").FoundationElementDefinition>) => import("@microsoft/fast-foundation").FoundationElementRegistry<import("@microsoft/fast-foundation").FoundationElementDefinition, typeof import("./data-grid-row").DataGridRow>;
    foundationDatePicker: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<{
        baseName: string;
        styles: import("@microsoft/fast-element").ElementStyles;
        template: import("@microsoft/fast-element").ViewTemplate<import("./date-picker").DatePicker, any>;
        shadowOptions: ShadowRootInit;
    }>) => import("@microsoft/fast-foundation").FoundationElementRegistry<{
        baseName: string;
        styles: import("@microsoft/fast-element").ElementStyles;
        template: import("@microsoft/fast-element").ViewTemplate<import("./date-picker").DatePicker, any>;
        shadowOptions: ShadowRootInit;
    }, typeof import("./date-picker").DatePicker>;
    foundationDesignSystemProvider: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<{
        baseName: string;
        template: import("@microsoft/fast-element").ViewTemplate<any, any>;
        styles: (context: import("@microsoft/fast-foundation").ElementDefinitionContext) => import("@microsoft/fast-element").ElementStyles;
    }>) => import("@microsoft/fast-foundation").FoundationElementRegistry<{
        baseName: string;
        template: import("@microsoft/fast-element").ViewTemplate<any, any>;
        styles: (context: import("@microsoft/fast-foundation").ElementDefinitionContext) => import("@microsoft/fast-element").ElementStyles;
    }, typeof import("./design-system-provider").FoundationDesignSystemProvider>;
    foundationDialog: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<{
        baseName: string;
        styles: import("@microsoft/fast-element").ElementStyles;
        template: import("@microsoft/fast-element").ViewTemplate<import("./dialog").Dialog, any>;
        shadowOptions: ShadowRootInit;
    }>) => import("@microsoft/fast-foundation").FoundationElementRegistry<{
        baseName: string;
        styles: import("@microsoft/fast-element").ElementStyles;
        template: import("@microsoft/fast-element").ViewTemplate<import("./dialog").Dialog, any>;
        shadowOptions: ShadowRootInit;
    }, typeof import("./dialog").Dialog>;
    foundationDisclosure: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<import("@microsoft/fast-foundation").FoundationElementDefinition>) => import("@microsoft/fast-foundation").FoundationElementRegistry<import("@microsoft/fast-foundation").FoundationElementDefinition, typeof import("./disclosure").Disclosure>;
    foundationDivider: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<import("@microsoft/fast-foundation").FoundationElementDefinition>) => import("@microsoft/fast-foundation").FoundationElementRegistry<import("@microsoft/fast-foundation").FoundationElementDefinition, typeof import("./divider").Divider>;
    foundationDropdownMenu: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<import("@microsoft/fast-foundation").FoundationElementDefinition>) => import("@microsoft/fast-foundation").FoundationElementRegistry<import("@microsoft/fast-foundation").FoundationElementDefinition, typeof import("./dropdown-menu").DropdownMenu>;
    foundationErrorBoundary: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<{
        baseName: string;
        template: import("@microsoft/fast-element").ViewTemplate<import("./error-boundary").ErrorBoundary, any>;
        shadowOptions: ShadowRootInit;
    }>) => import("@microsoft/fast-foundation").FoundationElementRegistry<{
        baseName: string;
        template: import("@microsoft/fast-element").ViewTemplate<import("./error-boundary").ErrorBoundary, any>;
        shadowOptions: ShadowRootInit;
    }, typeof import("./error-boundary").ErrorBoundary>;
    foundationErrorBanner: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<{
        baseName: string;
        template: import("@microsoft/fast-element").ViewTemplate<import("./error-banner").ErrorBanner, any>;
        shadowOptions: ShadowRootInit;
    }>) => import("@microsoft/fast-foundation").FoundationElementRegistry<{
        baseName: string;
        template: import("@microsoft/fast-element").ViewTemplate<import("./error-banner").ErrorBanner, any>;
        shadowOptions: ShadowRootInit;
    }, typeof import("./error-banner").ErrorBanner>;
    foundationErrorDialog: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<{
        baseName: string;
        template: import("@microsoft/fast-element").ViewTemplate<import("./error-dialog").ErrorDialog, any>;
        styles: import("@microsoft/fast-element").ElementStyles;
        shadowOptions: ShadowRootInit;
    }>) => import("@microsoft/fast-foundation").FoundationElementRegistry<{
        baseName: string;
        template: import("@microsoft/fast-element").ViewTemplate<import("./error-dialog").ErrorDialog, any>;
        styles: import("@microsoft/fast-element").ElementStyles;
        shadowOptions: ShadowRootInit;
    }, typeof import("./error-dialog").ErrorDialog>;
    foundationFileUpload: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<{
        baseName: string;
        styles: import("@microsoft/fast-element").ElementStyles;
        template: import("@microsoft/fast-element").ViewTemplate<import("./file-upload").FileUpload, any>;
        shadowOptions: ShadowRootInit;
    }>) => import("@microsoft/fast-foundation").FoundationElementRegistry<{
        baseName: string;
        styles: import("@microsoft/fast-element").ElementStyles;
        template: import("@microsoft/fast-element").ViewTemplate<import("./file-upload").FileUpload, any>;
        shadowOptions: ShadowRootInit;
    }, typeof import("./file-upload").FileUpload>;
    foundationFilter: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<{
        baseName: string;
        template: import("@microsoft/fast-element").ViewTemplate<import("./filter").Filter, any>;
        styles: import("@microsoft/fast-element").ElementStyles;
    }>) => import("@microsoft/fast-foundation").FoundationElementRegistry<{
        baseName: string;
        template: import("@microsoft/fast-element").ViewTemplate<import("./filter").Filter, any>;
        styles: import("@microsoft/fast-element").ElementStyles;
    }, typeof import("./filter").Filter>;
    foundationFilterBar: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<import("@microsoft/fast-foundation").FoundationElementDefinition>) => import("@microsoft/fast-foundation").FoundationElementRegistry<import("@microsoft/fast-foundation").FoundationElementDefinition, typeof import("./filter-bar").FilterBar>;
    foundationFlexLayout: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<{
        baseName: string;
        styles: import("@microsoft/fast-element").ElementStyles;
        template: import("@microsoft/fast-element").ViewTemplate<import("./flex-layout").FlexLayout, any>;
        shadowOptions: ShadowRootInit;
    }>) => import("@microsoft/fast-foundation").FoundationElementRegistry<{
        baseName: string;
        styles: import("@microsoft/fast-element").ElementStyles;
        template: import("@microsoft/fast-element").ViewTemplate<import("./flex-layout").FlexLayout, any>;
        shadowOptions: ShadowRootInit;
    }, typeof import("./flex-layout").FlexLayout>;
    foundationFlipper: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<import("@microsoft/fast-foundation").FlipperOptions>) => import("@microsoft/fast-foundation").FoundationElementRegistry<import("@microsoft/fast-foundation").FlipperOptions, import("@microsoft/fast-element").Constructable<import("@microsoft/fast-foundation").FoundationElement>>;
    foundationFlyout: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<{
        baseName: string;
        styles: import("@microsoft/fast-element").ElementStyles;
        template: import("@microsoft/fast-element").ViewTemplate<import("./flyout").Flyout, any>;
        shadowOptions: ShadowRootInit;
    }>) => import("@microsoft/fast-foundation").FoundationElementRegistry<{
        baseName: string;
        styles: import("@microsoft/fast-element").ElementStyles;
        template: import("@microsoft/fast-element").ViewTemplate<import("./flyout").Flyout, any>;
        shadowOptions: ShadowRootInit;
    }, typeof import("./flyout").Flyout>;
    foundationGridLayout: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<{
        baseName: string;
        styles: import("@microsoft/fast-element").ElementStyles;
        template: import("@microsoft/fast-element").ViewTemplate<import("./grid-layout").GridLayout, any>;
        shadowOptions: ShadowRootInit;
    }>) => import("@microsoft/fast-foundation").FoundationElementRegistry<{
        baseName: string;
        styles: import("@microsoft/fast-element").ElementStyles;
        template: import("@microsoft/fast-element").ViewTemplate<import("./grid-layout").GridLayout, any>;
        shadowOptions: ShadowRootInit;
    }, typeof import("./grid-layout").GridLayout>;
    foundationGridLayoutItem: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<{
        baseName: string;
        template: import("@microsoft/fast-element").ViewTemplate<import("./grid-layout-item").GridLayoutItem, any>;
        shadowOptions: ShadowRootInit;
    }>) => import("@microsoft/fast-foundation").FoundationElementRegistry<{
        baseName: string;
        template: import("@microsoft/fast-element").ViewTemplate<import("./grid-layout-item").GridLayoutItem, any>;
        shadowOptions: ShadowRootInit;
    }, typeof import("./grid-layout-item").GridLayoutItem>;
    foundationHorizontalScroll: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<import("@microsoft/fast-foundation").HorizontalScrollOptions>) => import("@microsoft/fast-foundation").FoundationElementRegistry<import("@microsoft/fast-foundation").HorizontalScrollOptions, import("@microsoft/fast-element").Constructable<import("@microsoft/fast-foundation").FoundationElement>>;
    foundationIcon: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<import("@microsoft/fast-foundation").FoundationElementDefinition>) => import("@microsoft/fast-foundation").FoundationElementRegistry<import("@microsoft/fast-foundation").FoundationElementDefinition, typeof import("./icon").Icon>;
    foundationListbox: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<import("@microsoft/fast-foundation").FoundationElementDefinition>) => import("@microsoft/fast-foundation").FoundationElementRegistry<import("@microsoft/fast-foundation").FoundationElementDefinition, typeof import("./listbox").Listbox>;
    foundationListboxOption: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<import("@microsoft/fast-foundation").FoundationElementDefinition>) => import("@microsoft/fast-foundation").FoundationElementRegistry<import("@microsoft/fast-foundation").FoundationElementDefinition, typeof import("./listbox-option").ListboxOption>;
    foundationMenu: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<import("@microsoft/fast-foundation").FoundationElementDefinition>) => import("@microsoft/fast-foundation").FoundationElementRegistry<import("@microsoft/fast-foundation").FoundationElementDefinition, typeof import("./menu").Menu>;
    foundationMenuItem: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<import("@microsoft/fast-foundation").MenuItemOptions>) => import("@microsoft/fast-foundation").FoundationElementRegistry<import("@microsoft/fast-foundation").MenuItemOptions, import("@microsoft/fast-element").Constructable<import("@microsoft/fast-foundation").FoundationElement>>;
    foundationModal: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<{
        baseName: string;
        styles: import("@microsoft/fast-element").ElementStyles;
        template: import("@microsoft/fast-element").ViewTemplate<import("./modal").Modal, any>;
        shadowOptions: ShadowRootInit;
    }>) => import("@microsoft/fast-foundation").FoundationElementRegistry<{
        baseName: string;
        styles: import("@microsoft/fast-element").ElementStyles;
        template: import("@microsoft/fast-element").ViewTemplate<import("./modal").Modal, any>;
        shadowOptions: ShadowRootInit;
    }, typeof import("./modal").Modal>;
    foundationMultiselect: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<{
        baseName: string;
        template: import("@microsoft/fast-element").ViewTemplate<import("./multiselect").Multiselect, any>;
        styles: import("@microsoft/fast-element").ElementStyles;
        shadowOptions: ShadowRootInit;
    }>) => import("@microsoft/fast-foundation").FoundationElementRegistry<{
        baseName: string;
        template: import("@microsoft/fast-element").ViewTemplate<import("./multiselect").Multiselect, any>;
        styles: import("@microsoft/fast-element").ElementStyles;
        shadowOptions: ShadowRootInit;
    }, typeof import("./multiselect").Multiselect>;
    foundationNumberField: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<import("@microsoft/fast-foundation").NumberFieldOptions>) => import("@microsoft/fast-foundation").FoundationElementRegistry<import("@microsoft/fast-foundation").NumberFieldOptions, import("@microsoft/fast-element").Constructable<import("@microsoft/fast-foundation").FoundationElement>>;
    foundationProgress: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<import("@microsoft/fast-foundation").ProgressOptions>) => import("@microsoft/fast-foundation").FoundationElementRegistry<import("@microsoft/fast-foundation").ProgressOptions, import("@microsoft/fast-element").Constructable<import("@microsoft/fast-foundation").FoundationElement>>;
    foundationPopper: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<{
        baseName: string;
        styles: import("@microsoft/fast-element").ElementStyles;
        template: import("@microsoft/fast-element").ViewTemplate<import("./popper").Popper, any>;
    }>) => import("@microsoft/fast-foundation").FoundationElementRegistry<{
        baseName: string;
        styles: import("@microsoft/fast-element").ElementStyles;
        template: import("@microsoft/fast-element").ViewTemplate<import("./popper").Popper, any>;
    }, typeof import("./popper").Popper>;
    foundationProgressRing: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<import("@microsoft/fast-foundation").ProgressRingOptions>) => import("@microsoft/fast-foundation").FoundationElementRegistry<import("@microsoft/fast-foundation").ProgressRingOptions, import("@microsoft/fast-element").Constructable<import("@microsoft/fast-foundation").FoundationElement>>;
    foundationRadio: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<import("@microsoft/fast-foundation").RadioOptions>) => import("@microsoft/fast-foundation").FoundationElementRegistry<import("@microsoft/fast-foundation").RadioOptions, import("@microsoft/fast-element").Constructable<import("@microsoft/fast-foundation").FoundationElement>>;
    foundationRadioGroup: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<import("@microsoft/fast-foundation").FoundationElementDefinition>) => import("@microsoft/fast-foundation").FoundationElementRegistry<import("@microsoft/fast-foundation").FoundationElementDefinition, typeof import("./radio-group").RadioGroup>;
    foundationSearchBar: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<{
        baseName: string;
        template: import("@microsoft/fast-element").ViewTemplate<import("./search-bar").SearchBar, any>;
        styles: import("@microsoft/fast-element").ElementStyles;
        shadowOptions: ShadowRootInit;
    }>) => import("@microsoft/fast-foundation").FoundationElementRegistry<{
        baseName: string;
        template: import("@microsoft/fast-element").ViewTemplate<import("./search-bar").SearchBar, any>;
        styles: import("@microsoft/fast-element").ElementStyles;
        shadowOptions: ShadowRootInit;
    }, typeof import("./search-bar").SearchBar>;
    foundationSearchBarCombobox: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<import("@microsoft/fast-foundation").FoundationElementDefinition>) => import("@microsoft/fast-foundation").FoundationElementRegistry<import("@microsoft/fast-foundation").FoundationElementDefinition, typeof import("./search-bar").SearchBarCombobox>;
    foundationSegmentedControl: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<import("@microsoft/fast-foundation").FoundationElementDefinition>) => import("@microsoft/fast-foundation").FoundationElementRegistry<import("@microsoft/fast-foundation").FoundationElementDefinition, typeof import("./segmented-control").SegmentedControl>;
    foundationSegmentedItem: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<import("@microsoft/fast-foundation").RadioOptions>) => import("@microsoft/fast-foundation").FoundationElementRegistry<import("@microsoft/fast-foundation").RadioOptions, import("@microsoft/fast-element").Constructable<import("@microsoft/fast-foundation").FoundationElement>>;
    foundationSelect: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<import("@microsoft/fast-foundation").SelectOptions>) => import("@microsoft/fast-foundation").FoundationElementRegistry<import("@microsoft/fast-foundation").SelectOptions, import("@microsoft/fast-element").Constructable<import("@microsoft/fast-foundation").FoundationElement>>;
    foundationSkeleton: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<import("@microsoft/fast-foundation").FoundationElementDefinition>) => import("@microsoft/fast-foundation").FoundationElementRegistry<import("@microsoft/fast-foundation").FoundationElementDefinition, typeof import("./skeleton").Skeleton>;
    foundationSlider: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<import("@microsoft/fast-foundation").SliderOptions>) => import("@microsoft/fast-foundation").FoundationElementRegistry<import("@microsoft/fast-foundation").SliderOptions, import("@microsoft/fast-element").Constructable<import("@microsoft/fast-foundation").FoundationElement>>;
    foundationSliderLabel: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<import("@microsoft/fast-foundation").FoundationElementDefinition>) => import("@microsoft/fast-foundation").FoundationElementRegistry<import("@microsoft/fast-foundation").FoundationElementDefinition, typeof import("./slider-label").SliderLabel>;
    foundationSnackbar: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<{
        baseName: string;
        styles: import("@microsoft/fast-element").ElementStyles;
        template: import("@microsoft/fast-element").ViewTemplate<import("./snackbar").Snackbar, any>;
        shadowOptions: ShadowRootInit;
    }>) => import("@microsoft/fast-foundation").FoundationElementRegistry<{
        baseName: string;
        styles: import("@microsoft/fast-element").ElementStyles;
        template: import("@microsoft/fast-element").ViewTemplate<import("./snackbar").Snackbar, any>;
        shadowOptions: ShadowRootInit;
    }, typeof import("./snackbar").Snackbar>;
    foundationStepper: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<{
        baseName: string;
        template: import("@microsoft/fast-element").ViewTemplate<import("./stepper").Stepper, any>;
        styles: import("@microsoft/fast-element").ElementStyles;
        shadowOptions: ShadowRootInit;
    }>) => import("@microsoft/fast-foundation").FoundationElementRegistry<{
        baseName: string;
        template: import("@microsoft/fast-element").ViewTemplate<import("./stepper").Stepper, any>;
        styles: import("@microsoft/fast-element").ElementStyles;
        shadowOptions: ShadowRootInit;
    }, typeof import("./stepper").Stepper>;
    foundationStepperTab: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<import("@microsoft/fast-foundation").FoundationElementDefinition>) => import("@microsoft/fast-foundation").FoundationElementRegistry<import("@microsoft/fast-foundation").FoundationElementDefinition, typeof import("./stepper-tab").StepperTab>;
    foundationStepperTabPanel: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<{
        baseName: string;
        template: import("@microsoft/fast-foundation").FoundationElementTemplate<import("@microsoft/fast-element").ViewTemplate<import("./stepper-tab-panel").StepperTabPanel, any>, import("@microsoft/fast-foundation").FoundationElementDefinition>;
        shadowOptions: ShadowRootInit;
    }>) => import("@microsoft/fast-foundation").FoundationElementRegistry<{
        baseName: string;
        template: import("@microsoft/fast-foundation").FoundationElementTemplate<import("@microsoft/fast-element").ViewTemplate<import("./stepper-tab-panel").StepperTabPanel, any>, import("@microsoft/fast-foundation").FoundationElementDefinition>;
        shadowOptions: ShadowRootInit;
    }, typeof import("./stepper-tab-panel").StepperTabPanel>;
    foundationStackingIcons: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<import("@microsoft/fast-foundation").FoundationElementDefinition>) => import("@microsoft/fast-foundation").FoundationElementRegistry<import("@microsoft/fast-foundation").FoundationElementDefinition, typeof import("./stacking-icons").StackingIcons>;
    foundationSwitch: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<import("@microsoft/fast-foundation").SwitchOptions>) => import("@microsoft/fast-foundation").FoundationElementRegistry<import("@microsoft/fast-foundation").SwitchOptions, import("@microsoft/fast-element").Constructable<import("@microsoft/fast-foundation").FoundationElement>>;
    foundationSystemHealthOverlay: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<import("@microsoft/fast-foundation").FoundationElementDefinition>) => import("@microsoft/fast-foundation").FoundationElementRegistry<import("@microsoft/fast-foundation").FoundationElementDefinition, typeof import("./overlays").SystemHealthOverlay>;
    foundationTab: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<import("@microsoft/fast-foundation").FoundationElementDefinition>) => import("@microsoft/fast-foundation").FoundationElementRegistry<import("@microsoft/fast-foundation").FoundationElementDefinition, typeof import("./tab").Tab>;
    foundationTabPanel: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<import("@microsoft/fast-foundation").FoundationElementDefinition>) => import("@microsoft/fast-foundation").FoundationElementRegistry<import("@microsoft/fast-foundation").FoundationElementDefinition, typeof import("./tab-panel").TabPanel>;
    foundationTabs: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<import("@microsoft/fast-foundation").FoundationElementDefinition>) => import("@microsoft/fast-foundation").FoundationElementRegistry<import("@microsoft/fast-foundation").FoundationElementDefinition, typeof import("./tabs").Tabs>;
    foundationTextArea: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<import("@microsoft/fast-foundation").FoundationElementDefinition>) => import("@microsoft/fast-foundation").FoundationElementRegistry<import("@microsoft/fast-foundation").FoundationElementDefinition, typeof import("./text-area").TextArea>;
    foundationTextField: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<import("@microsoft/fast-foundation").FoundationElementDefinition>) => import("@microsoft/fast-foundation").FoundationElementRegistry<import("@microsoft/fast-foundation").FoundationElementDefinition, typeof import("./text-field").TextField>;
    foundationToast: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<{
        baseName: string;
        styles: import("@microsoft/fast-element").ElementStyles;
        template: import("@microsoft/fast-element").ViewTemplate<import("./toast").Toast, any>;
        shadowOptions: ShadowRootInit;
    }>) => import("@microsoft/fast-foundation").FoundationElementRegistry<{
        baseName: string;
        styles: import("@microsoft/fast-element").ElementStyles;
        template: import("@microsoft/fast-element").ViewTemplate<import("./toast").Toast, any>;
        shadowOptions: ShadowRootInit;
    }, typeof import("./toast").Toast>;
    foundationToolbar: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<import("@microsoft/fast-foundation").FoundationElementDefinition>) => import("@microsoft/fast-foundation").FoundationElementRegistry<import("@microsoft/fast-foundation").FoundationElementDefinition, typeof import("./toolbar").Toolbar>;
    foundationTooltip: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<import("@microsoft/fast-foundation").FoundationElementDefinition>) => import("@microsoft/fast-foundation").FoundationElementRegistry<import("@microsoft/fast-foundation").FoundationElementDefinition, typeof import("./tooltip").Tooltip>;
    foundationTreeItem: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<import("@microsoft/fast-foundation").TreeItemOptions>) => import("@microsoft/fast-foundation").FoundationElementRegistry<import("@microsoft/fast-foundation").TreeItemOptions, import("@microsoft/fast-element").Constructable<import("@microsoft/fast-foundation").FoundationElement>>;
    foundationTreeView: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<import("@microsoft/fast-foundation").FoundationElementDefinition>) => import("@microsoft/fast-foundation").FoundationElementRegistry<import("@microsoft/fast-foundation").FoundationElementDefinition, typeof import("./tree-view").TreeView>;
    foundationUrlInput: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<import("@microsoft/fast-foundation").FoundationElementDefinition>) => import("@microsoft/fast-foundation").FoundationElementRegistry<import("@microsoft/fast-foundation").FoundationElementDefinition, typeof import("./url-input").UrlInput>;
    register(container?: Container, ...rest: any[]): void;
};
//# sourceMappingURL=base-components.d.ts.map