import { Checkbox as FASTCheckbox } from '@microsoft/fast-components';
import type { CheckboxOptions } from '@microsoft/fast-foundation';
/**
 * @tagname %%prefix%%-checkbox
 */
export declare class Checkbox extends FASTCheckbox {
}
export declare const foundationCheckboxShadowOptions: ShadowRootInit;
export declare const defaultCheckboxConfig: {
    checkedIndicator: string;
    indeterminateIndicator: string;
};
/**
 * The Foundation Checkbox
 *
 * @public
 * @remarks
 * HTML Element: \<foundation-checkbox\>
 */
export declare const foundationCheckbox: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<CheckboxOptions>) => import("@microsoft/fast-foundation").FoundationElementRegistry<CheckboxOptions, import("@microsoft/fast-element").Constructable<import("@microsoft/fast-foundation").FoundationElement>>;
//# sourceMappingURL=checkbox.d.ts.map