import { DesignSystemProvider as FASTDesignSystemProvider, Swatch } from '@microsoft/fast-components';
/**
 * The Foundation Design System Provider
 * @public
 * @tagname %%prefix%%-design-system-provider
 */
export declare class FoundationDesignSystemProvider extends FASTDesignSystemProvider {
    cardFillColor: Swatch;
    cardForegroundColor: Swatch;
    constructor();
}
/**
 * The Foundation Design System Provider composed element
 *
 * @public
 * @remarks
 * HTML Element: \<foundation-design-system-provider\>
 */
export declare const foundationDesignSystemProvider: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<{
    baseName: string;
    template: import("@microsoft/fast-element").ViewTemplate<any, any>;
    styles: (context: import("@microsoft/fast-foundation").ElementDefinitionContext) => import("@microsoft/fast-element").ElementStyles;
}>) => import("@microsoft/fast-foundation").FoundationElementRegistry<{
    baseName: string;
    template: import("@microsoft/fast-element").ViewTemplate<any, any>;
    styles: (context: import("@microsoft/fast-foundation").ElementDefinitionContext) => import("@microsoft/fast-element").ElementStyles;
}, typeof FoundationDesignSystemProvider>;
//# sourceMappingURL=design-system-provider.d.ts.map