import { PaletteRGB } from '@microsoft/fast-components';
import { ValueConverter } from '@microsoft/fast-element';
import { FoundationElement, FoundationElementDefinition } from '@microsoft/fast-foundation';
import type { DesignToken } from '@microsoft/fast-foundation';
import { DesignTokensConfig } from './types';
export declare const provideTokens: (tokens: any, values: any, element?: HTMLElement) => void;
export declare function designToken<T>(token: DesignToken<T>): (source: FoundationElement, key: string) => void;
export declare const swatchConverter: ValueConverter;
export declare const paletteFromHex: (hexColor: string) => PaletteRGB;
export declare const getDefaultConfig: (definition: Partial<FoundationElementDefinition>, exclusions?: string[]) => {};
export declare const getExports: (registrationFunction: any) => {
    shadowOptions: any;
    styles: any;
    template: any;
    defaultConfig: {};
};
export declare const getTypeRampValue: (baseTypeRamp: string, value: number) => string;
export declare const configureDesignSystem: (provider: HTMLElement, config: DesignTokensConfig) => void;
//# sourceMappingURL=design-system-provider.utils.d.ts.map