export interface DesignTokensConfig {
    design_tokens: {
        color: {
            accent: {
                $value: string;
                $type: string;
            };
            neutral: {
                $value: string;
                $type: string;
            };
        };
        fontFamily: {
            bodyFont: {
                $value: string;
                $type: string;
            };
        };
        typography: {
            baseFontSize: {
                $value: string;
                $type: string;
            };
            baseLineHeight: {
                $value: string;
                $type: string;
            };
        };
        mode: {
            luminance: {
                $value: number;
                $type: string;
            };
        };
        style: {
            density: {
                $value: number;
                $type: string;
            };
            borderRadius: {
                $value: number;
                $type: string;
            };
            strokeWidth: {
                $value: number;
                $type: string;
            };
        };
        space: {
            designUnit: {
                $value: number;
                $type: string;
            };
        };
    };
}
//# sourceMappingURL=types.d.ts.map