import { ErrorStructure } from '@genesislcap/foundation-errors';
import { NotificationStructure } from '@genesislcap/foundation-notifications';
import { FoundationElement } from '@microsoft/fast-foundation';
export declare const foundationErrorBannerShadowOptions: ShadowRootInit;
/**
 * @tagname %%prefix%%-error-banner
 * @deprecated
 */
export declare class ErrorBanner extends FoundationElement {
    banner: HTMLElement & {
        dismiss: () => Promise<void>;
    };
    error: ErrorStructure;
    notification: NotificationStructure;
    connectedCallback(): void;
    /**
     * Dismiss the Error Banner from display.
     */
    dismiss(): Promise<void>;
}
/**
 * The Foundation Error Banner
 *
 * @public
 * @remarks
 * HTML Element: \<foundation-error-banner\>
 */
export declare const foundationErrorBanner: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<{
    baseName: string;
    template: import("@microsoft/fast-element").ViewTemplate<ErrorBanner, any>;
    shadowOptions: ShadowRootInit;
}>) => import("@microsoft/fast-foundation").FoundationElementRegistry<{
    baseName: string;
    template: import("@microsoft/fast-element").ViewTemplate<ErrorBanner, any>;
    shadowOptions: ShadowRootInit;
}, typeof ErrorBanner>;
//# sourceMappingURL=error-banner.d.ts.map