import { FoundationElement } from '@microsoft/fast-foundation';
export declare const foundationGridLayoutItemShadowOptions: ShadowRootInit;
export declare const defaultGridLayoutItemConfig: {};
/**
 * @tagname %%prefix%%-grid-layout-item
 */
export declare class GridLayoutItem extends FoundationElement {
    colNumber: number;
    colSmNumber: number;
    colMdNumber: number;
    colLgNumber: number;
    rowNumber: number;
    rowSmNumber: number;
    rowMdNumber: number;
    rowLgNumber: number;
    width: number;
    widthSm: number;
    widthMd: number;
    widthLg: number;
    height: number;
    heightSm: number;
    heightMd: number;
    heightLg: number;
    setGridItemProperties(column: any, row: any, width: any, height: any): string;
}
/**
 * The Foundation Grid Layout Item
 *
 * @public
 * @remarks
 * HTML Element: \<foundation-grid-layout-item\>
 */
export declare const foundationGridLayoutItem: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<{
    baseName: string;
    template: import("@microsoft/fast-element").ViewTemplate<GridLayoutItem, any>;
    shadowOptions: ShadowRootInit;
}>) => import("@microsoft/fast-foundation").FoundationElementRegistry<{
    baseName: string;
    template: import("@microsoft/fast-element").ViewTemplate<GridLayoutItem, any>;
    shadowOptions: ShadowRootInit;
}, typeof GridLayoutItem>;
//# sourceMappingURL=grid-layout-item.d.ts.map