import { ElementStyles } from '@microsoft/fast-element';
import { FoundationElement } from '@microsoft/fast-foundation';
export declare const foundationGridLayoutShadowOptions: ShadowRootInit;
export declare const defaultGridLayoutConfig: {};
/**
 * @tagname %%prefix%%-grid-layout
 */
export declare class GridLayout extends FoundationElement {
    ['col-count']: string;
    ['col-width']: string;
    ['col-lg-count']: string;
    ['col-lg-width']: string;
    ['col-md-count']: string;
    ['col-md-width']: string;
    ['col-sm-count']: string;
    ['col-sm-width']: string;
    ['row-count']: string;
    ['row-height']: string;
    ['row-lg-count']: string;
    ['row-lg-height']: string;
    ['row-md-count']: string;
    ['row-md-height']: string;
    ['row-sm-count']: string;
    ['row-sm-height']: string;
    private behaviors;
    private baseStyles;
    connectedCallback(): void;
    disconnectedCallback(): void;
}
/**
 * The Foundation Grid Layout
 *
 * @public
 * @remarks
 * HTML Element: \<foundation-grid-layout\>
 */
export declare const foundationGridLayout: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<{
    baseName: string;
    styles: ElementStyles;
    template: import("@microsoft/fast-element").ViewTemplate<GridLayout, any>;
    shadowOptions: ShadowRootInit;
}>) => import("@microsoft/fast-foundation").FoundationElementRegistry<{
    baseName: string;
    styles: ElementStyles;
    template: import("@microsoft/fast-element").ViewTemplate<GridLayout, any>;
    shadowOptions: ShadowRootInit;
}, typeof GridLayout>;
//# sourceMappingURL=grid-layout.d.ts.map