import { Multiselect } from '../multiselect';
import { BaseDatasource } from '../utils';
export declare class MultiselectDatasource extends BaseDatasource {
    valueField: string;
    labelField: string;
    protected select: Multiselect;
    isSnapshot: boolean;
    connectedCallback(): Promise<void>;
    clearData(): void;
    syncComponentData(snapshotData?: any[]): void;
    handleStreamInserts(insertedRows: any[]): void;
    handleStreamDeletes(deletedRows: any[]): void;
    handleStreamUpdates(updatedRows: any[]): void;
}
//# sourceMappingURL=multiselect-datasource.d.ts.map