import { Progress as FASTProgress } from '@microsoft/fast-components';
import type { ProgressOptions } from '@microsoft/fast-foundation';
/**
 * @tagname %%prefix%%-progress
 */
export declare class Progress extends FASTProgress {
}
export declare const foundationProgressShadowOptions: ShadowRootInit;
export declare const defaultProgressConfig: {
    indeterminateIndicator1: string;
    indeterminateIndicator2: string;
};
/**
 * The Foundation Progress
 *
 * @public
 * @remarks
 * HTML Element: \<foundation-progress\>
 */
export declare const foundationProgress: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<ProgressOptions>) => import("@microsoft/fast-foundation").FoundationElementRegistry<ProgressOptions, import("@microsoft/fast-element").Constructable<import("@microsoft/fast-foundation").FoundationElement>>;
//# sourceMappingURL=progress.d.ts.map