import { Combobox } from '@microsoft/fast-components';
/**
 * @tagname %%prefix%%-search-bar-combobox
 */
export declare class SearchBarCombobox extends Combobox {
    minlength: number;
    private previousLength;
    private changeListener;
    connectedCallback(): void;
    disconnectedCallback(): void;
    clickHandler(e: any): boolean | void;
    keyupHandler(e: KeyboardEvent): void;
    keydownHandler(e: Event & KeyboardEvent): boolean | void;
    inputHandler(e: InputEvent): boolean | void;
    openChanged(): void;
}
export declare const foundationSearchBarComboboxShadowOptions: ShadowRootInit;
export declare const defaultSearchBarComboboxConfig: {};
/**
 * The Foundation Search Bar Combobox
 *
 * @public
 * @remarks
 * HTML Element: \<foundation-search-bar-combobox\>
 */
export declare const foundationSearchBarCombobox: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<import("@microsoft/fast-foundation").FoundationElementDefinition>) => import("@microsoft/fast-foundation").FoundationElementRegistry<import("@microsoft/fast-foundation").FoundationElementDefinition, typeof SearchBarCombobox>;
//# sourceMappingURL=search-bar-combobox.d.ts.map