import { ResourceType } from '@genesislcap/foundation-comms';
type CriteriaCreator = <T extends string = string>(type: T, term: string) => string;
export declare const SCROLL_TIMEOUT = 10;
export declare const INPUT_MIN_LENGTH = 3;
export declare const COMBO_INPUT_MIN_LENGTH = 1;
export type SelectedOption<T extends string = string> = {
    field: T;
    term: string;
    label: string;
    resourceType?: ResourceType;
    createCriteria: CriteriaCreator;
};
export type AvailableOption<T extends string = string> = {
    field: T;
    label: (searchTerm: string) => string;
    resourceType?: ResourceType;
    createCriteria: CriteriaCreator;
    isEnabled: (searchTerm: string, selectedOptions: SelectedOption[]) => boolean;
};
export declare const getCriteriaBuilder: CriteriaCreator;
export {};
//# sourceMappingURL=search-bar.types.d.ts.map