import { Switch as FASTSwitch } from '@microsoft/fast-components';
import type { SwitchOptions } from '@microsoft/fast-foundation';
/**
 * @tagname %%prefix%%-switch
 */
export declare class Switch extends FASTSwitch {
}
export declare const foundationSwitchShadowOptions: ShadowRootInit;
export declare const defaultSwitchConfig: {
    switch: string;
};
/**
 * The Foundation Switch
 *
 * @public
 * @remarks
 * HTML Element: \<foundation-switch\>
 */
export declare const foundationSwitch: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<SwitchOptions>) => import("@microsoft/fast-foundation").FoundationElementRegistry<SwitchOptions, import("@microsoft/fast-element").Constructable<import("@microsoft/fast-foundation").FoundationElement>>;
//# sourceMappingURL=switch.d.ts.map