import { TextField as FASTTextField } from '@microsoft/fast-components';
/**
 * @tagname %%prefix%%-text-field
 */
export declare class TextField extends FASTTextField {
    autocomplete: string;
    private autocompleteChanged;
    autocapitalize: string;
    private autocapitalizeChanged;
    step: number;
}
export declare const foundationTextFieldShadowOptions: ShadowRootInit;
export declare const defaultTextFieldConfig: {};
/**
 * The Foundation Text Fields
 *
 * @public
 * @remarks
 * HTML Element: \<foundation-text-field\>
 */
export declare const foundationTextField: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<import("@microsoft/fast-foundation").FoundationElementDefinition>) => import("@microsoft/fast-foundation").FoundationElementRegistry<import("@microsoft/fast-foundation").FoundationElementDefinition, typeof TextField>;
//# sourceMappingURL=text-field.d.ts.map