import { TreeItem as FASTTreeItem } from '@microsoft/fast-components';
import type { TreeItemOptions } from '@microsoft/fast-foundation';
/**
 * %%prefix%%-tree-item
 */
export declare class TreeItem extends FASTTreeItem {
}
export declare const foundationTreeItemShadowOptions: ShadowRootInit;
export declare const defaultTreeItemConfig: {
    expandCollapseGlyph: string;
};
/**
 * The Foundation Tree item
 *
 * @public
 * @remarks
 * HTML Element: \<foundation-tree-item\>
 */
export declare const foundationTreeItem: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<TreeItemOptions>) => import("@microsoft/fast-foundation").FoundationElementRegistry<TreeItemOptions, import("@microsoft/fast-element").Constructable<import("@microsoft/fast-foundation").FoundationElement>>;
//# sourceMappingURL=tree-item.d.ts.map