import { DataGridCell as FASTDataGridCell } from '@microsoft/fast-components';
import { dataGridCellTemplate as template } from '@microsoft/fast-foundation';
import { foundationDataGridCellStyles as styles } from './data-grid-cell.styles';
export { dataGridCellTemplate as foundationDataGridCellTemplate } from '@microsoft/fast-foundation';
/**
 * @tagname %%prefix%%-data-grid-cell
 */
export class DataGridCell extends FASTDataGridCell {
}
// explicitly declaring for extensibility
export const foundationDataGridCellShadowOptions = undefined;
export const defaultDataGridCellConfig = {};
/**
 * The Foundation Data Grid Cell Element.
 *
 * @public
 * @remarks
 * HTML Element: \<foundation-data-grid-cell\>
 */
export const foundationDataGridCell = DataGridCell.compose(Object.assign({ baseName: 'data-grid-cell', template,
    styles, shadowOptions: foundationDataGridCellShadowOptions }, defaultDataGridCellConfig));
