import { DataGridRow as FASTDataGridRow } from '@microsoft/fast-components';
import { dataGridRowTemplate as template } from '@microsoft/fast-foundation';
import { foundationDataGridRowStyles as styles } from './data-grid-row.styles';
export { dataGridRowTemplate as foundationDataGridRowTemplate } from '@microsoft/fast-foundation';
/**
 * @tagname %%prefix%%-data-grid-row
 */
export class DataGridRow extends FASTDataGridRow {
}
// explicitly declaring for extensibility
export const foundationDataGridRowShadowOptions = undefined;
export const defaultDataGridRowConfig = {};
/**
 * The Foundation Data Grid Row Element.
 *
 * @public
 * @remarks
 * HTML Element: \<foundation-data-grid-row\>
 */
export const foundationDataGridRow = DataGridRow.compose(Object.assign({ baseName: 'data-grid-row', template,
    styles, shadowOptions: foundationDataGridRowShadowOptions }, defaultDataGridRowConfig));
