import { DataGrid as FASTDataGrid } from '@microsoft/fast-components';
import { foundationDataGridStyles as gridStyles } from './data-grid.styles';
import { foundationDataGridTemplate as gridTemplate } from './data-grid.template';
/**
 * @tagname %%prefix%%-data-grid
 */
export class DataGrid extends FASTDataGrid {
}
// explicitly declaring for extensibility
export const foundationDataGridShadowOptions = undefined;
export const defaultDataGridConfig = {};
/**
 * The Foundation Data Grid Element.
 *
 * @public
 * @remarks
 * HTML Element: \<foundation-data-grid\>
 */
export const foundationDataGrid = DataGrid.compose(Object.assign({ baseName: 'data-grid', template: gridTemplate, styles: gridStyles, shadowOptions: foundationDataGridShadowOptions }, defaultDataGridConfig));
