import { Disclosure as FASTDisclosure } from '@microsoft/fast-foundation';
import { foundationDisclosureStyles as styles } from './disclosure.styles';
import { foundationDisclosureTemplate as template } from './disclosure.template';
/**
 * @tagname %%prefix%%-disclosure
 */
export class Disclosure extends FASTDisclosure {
}
// explicitly declaring for extensibility
export const foundationDisclosureShadowOptions = undefined;
export const defaultDisclosureConfig = {};
/**
 * The Foundation Disclosure
 *
 * @public
 * @remarks
 * HTML Element: \<foundation-disclosure\>
 */
export const foundationDisclosure = Disclosure.compose(Object.assign({ baseName: 'disclosure', template,
    styles, shadowOptions: foundationDisclosureShadowOptions }, defaultDisclosureConfig));
