import { Divider as FASTDivider } from '@microsoft/fast-foundation';
import { foundationDividerStyles as styles } from './divider.styles';
import { foundationDividerTemplate as template } from './divider.template';
/**
 * @tagname %%prefix%%-divider
 */
export class Divider extends FASTDivider {
}
// explicitly declaring for extensibility
export const foundationDividerShadowOptions = undefined;
export const defaultDividerConfig = {};
/**
 * The Foundation Divider
 *
 * @public
 * @remarks
 * HTML Element: \<foundation-divider\>
 */
export const foundationDivider = Divider.compose(Object.assign({ baseName: 'divider', template,
    styles, shadowOptions: foundationDividerShadowOptions }, defaultDividerConfig));
