import { FoundationElement } from '@microsoft/fast-foundation';
import { foundationFlexLayoutStyles as styles } from './flex-layout.styles';
import { foundationFlexLayoutTemplate as template } from './flex-layout.template';
// explicitly declaring for extensibility
export const foundationFlexLayoutShadowOptions = undefined;
export const defaultFlexLayoutConfig = {};
/**
 * @tagname %%prefix%%-flex-layout
 */
export class FlexLayout extends FoundationElement {
}
/**
 * The Foundation Flex Layout
 *
 * @public
 * @remarks
 * HTML Element: \<foundation-flex-layout\>
 */
export const foundationFlexLayout = FlexLayout.compose(Object.assign({ baseName: 'flex-layout', styles,
    template, shadowOptions: foundationFlexLayoutShadowOptions }, defaultFlexLayoutConfig));
