import { designUnit } from '@microsoft/fast-components';
import { css } from '@microsoft/fast-element';
import { foundationComboboxStyles } from '../combobox';
export const foundationSearchBarComboboxStyles = (context, definition) => css `
  ${foundationComboboxStyles(context, definition)}
  .control {
    width: auto;
    padding-left: calc(${designUnit} * 1px);
    padding-right: 0;
  }

  .end {
    height: 100%;
    min-width: 36px;
    max-width: 36px;
    padding-right: 2px;
    display: flex;
    justify-content: flex-end;
    align-items: center;
  }

  .selected-value {
    min-width: 150px;
    max-width: 169px;
  }
`;
