import { CriteriaBuilder, ExpressionBuilder, Serialisers } from '@genesislcap/foundation-criteria';
export const SCROLL_TIMEOUT = 10;
export const INPUT_MIN_LENGTH = 3;
export const COMBO_INPUT_MIN_LENGTH = 1;
export const getCriteriaBuilder = (field, term) => {
    return new CriteriaBuilder()
        .withExpression(new ExpressionBuilder()
        .withField(field)
        .withValue(term)
        .withSerialiser(Serialisers.containsIgnoreCase)
        .build())
        .build();
};
