import { SliderLabel as FASTSliderLabel } from '@microsoft/fast-components';
import { foundationSliderLabelStyles as styles } from './slider-label.styles';
import { foundationSliderLabelTemplate as template } from './slider-label.template';
/**
 * @tagname %%prefix%%-slider-label
 */
export class SliderLabel extends FASTSliderLabel {
}
// explicitly declaring for extensibility
export const foundationSliderLabelShadowOptions = undefined;
export const defaultSliderLabelConfig = {};
/**
 * The Foundation Slider Label
 *
 * @public
 * @remarks
 * HTML Element: \<foundation-slider-label\>
 */
export const foundationSliderLabel = SliderLabel.compose(Object.assign({ baseName: 'slider-label', template,
    styles, shadowOptions: foundationSliderLabelShadowOptions }, defaultSliderLabelConfig));
