import { css } from '@microsoft/fast-element';
import { getFontawesomeIconsCss } from '../_config/styles/external/fontawesome-free';
export const foundationStackingIconsStyles = (context, definition) => css `
  ${getFontawesomeIconsCss()}

  .fa-stack {
    display: inline-block;
    text-align: center;
    line-height: 2em;
    height: 2em;
    position: relative;
    width: 2em;
  }

  .fa-stack-1x,
  .fa-stack-2x {
    left: 50%;
    position: absolute;
    transform: translateX(-50%);
  }

  .fa-stack-2x {
    font-size: 2em;
  }

  .fa-stack-1x {
    z-index: 1;
  }
`;
