import { FoundationElement } from '@microsoft/fast-foundation';
import { foundationStepperTabPanelTemplate as template } from './stepper-tab-panel.template';
/**
 * @tagname %%prefix%%-stepper-tab-panel
 */
export class StepperTabPanel extends FoundationElement {
}
// explicitly declaring for extensibility
export const foundationStepperTabPanelShadowOptions = undefined;
export const defaultStepperTabPanelConfig = {};
/**
 * The Foundation Stepper Tab Panel
 *
 * @public
 * @remarks
 * HTML Element: \<foundation-stepper-tab-panel\>
 */
export const foundationStepperTabPanel = StepperTabPanel.compose(Object.assign({ baseName: 'stepper-tab-panel', template, shadowOptions: foundationStepperTabPanelShadowOptions }, defaultStepperTabPanelConfig));
