import { Tooltip as FASTTooltip } from '@microsoft/fast-components';
import { foundationTooltipStyles as styles } from './tooltip.styles';
import { foundationTooltipTemplate as template } from './tooltip.template';
/**
 * @tagname %%prefix%%-tooltip
 */
export class Tooltip extends FASTTooltip {
}
// explicitly declaring for extensibility
export const foundationTooltipShadowOptions = undefined;
export const defaultTooltipConfig = {};
/**
 * The Foundation Tooltip
 *
 * @public
 * @remarks
 * HTML Element: \<foundation-tooltip\>
 */
export const foundationTooltip = Tooltip.compose(Object.assign({ baseName: 'tooltip', template,
    styles, shadowOptions: foundationTooltipShadowOptions }, defaultTooltipConfig));
