import { TreeView as FASTTreeView } from '@microsoft/fast-foundation';
import { foundationTreeViewStyles as styles } from './tree-view.styles';
import { foundationTreeViewTemplate as template } from './tree-view.template';
/**
 * @tagname %%prefix%%-tree-view
 */
export class TreeView extends FASTTreeView {
}
// explicitly declaring for extensibility
export const foundationTreeViewShadowOptions = undefined;
export const defaultTreeViewConfig = {};
/**
 * The Foundation Tree View
 *
 * @public
 * @remarks
 * HTML Element: \<foundation-tree-view\>
 */
export const foundationTreeView = TreeView.compose(Object.assign({ baseName: 'tree-view', template,
    styles, shadowOptions: foundationTreeViewShadowOptions }, defaultTreeViewConfig));
