import { BreadcrumbItem as FASTBreadcrumbItem } from '@microsoft/fast-components';
import type { BreadcrumbItemOptions } from '@microsoft/fast-foundation';
/**
 * @tagname %%prefix%%-breadcrumb-item
 */
export declare class BreadcrumbItem extends FASTBreadcrumbItem {
}
export declare const foundationBreadcrumbItemShadowOptions: ShadowRootInit;
export declare const defaultBreadcrumbItemConfig: {
    separator: string;
};
/**
 * The Foundation Breadcrumb Item
 *
 * @public
 * @remarks
 * HTML Element: \<foundation-breadcrumb-item\>
 */
export declare const foundationBreadcrumbItem: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<BreadcrumbItemOptions>) => import("@microsoft/fast-foundation").FoundationElementRegistry<BreadcrumbItemOptions, import("@microsoft/fast-element").Constructable<import("@microsoft/fast-foundation").FoundationElement>>;
//# sourceMappingURL=breadcrumb-item.d.ts.map