import { Connect, Session } from '@genesislcap/foundation-comms';
import { FoundationElement } from '@microsoft/fast-foundation';
/**
 * @tagname %%prefix%%-connection-indicator
 */
export declare class ConnectionIndicator extends FoundationElement {
    connect: Connect;
    session: Session;
    showLabel: boolean;
    label: string;
    colour: 'red' | 'green';
    private subscription;
    connectedCallback(): void;
    disconnectedCallback(): void;
    getLabel(connected: boolean): string;
}
/**
 * The Connection Indicator
 *
 * @public
 * @remarks
 * HTML Element: \<connection-indicator\>
 */
export declare const foundationConnectionIndicator: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<import("@microsoft/fast-foundation").FoundationElementDefinition>) => import("@microsoft/fast-foundation").FoundationElementRegistry<import("@microsoft/fast-foundation").FoundationElementDefinition, typeof ConnectionIndicator>;
//# sourceMappingURL=connection-indicator.d.ts.map