import { FoundationElement } from '@microsoft/fast-foundation';
export declare const foundationFlexLayoutShadowOptions: ShadowRootInit;
export declare const defaultFlexLayoutConfig: {};
/**
 * @tagname %%prefix%%-flex-layout
 */
export declare class FlexLayout extends FoundationElement {
}
/**
 * The Foundation Flex Layout
 *
 * @public
 * @remarks
 * HTML Element: \<foundation-flex-layout\>
 */
export declare const foundationFlexLayout: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<{
    baseName: string;
    styles: import("@microsoft/fast-element").ElementStyles;
    template: import("@microsoft/fast-element").ViewTemplate<FlexLayout, any>;
    shadowOptions: ShadowRootInit;
}>) => import("@microsoft/fast-foundation").FoundationElementRegistry<{
    baseName: string;
    styles: import("@microsoft/fast-element").ElementStyles;
    template: import("@microsoft/fast-element").ViewTemplate<FlexLayout, any>;
    shadowOptions: ShadowRootInit;
}, typeof FlexLayout>;
//# sourceMappingURL=flex-layout.d.ts.map