import { MenuItem as FASTMenuItem } from '@microsoft/fast-components';
import type { MenuItemOptions } from '@microsoft/fast-foundation';
/**
 * @tagname %%prefix%%-menu-item
 */
export declare class MenuItem extends FASTMenuItem {
    connectedCallback(): void;
}
export declare const foundationMenuItemShadowOptions: ShadowRootInit;
export declare const defaultMenuItemConfig: {
    expandCollapseGlyph: string;
};
/**
 * The Foundation Menu Item
 *
 * @public
 * @remarks
 * HTML Element: \<foundation-menu-item\>
 */
export declare const foundationMenuItem: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<MenuItemOptions>) => import("@microsoft/fast-foundation").FoundationElementRegistry<MenuItemOptions, import("@microsoft/fast-element").Constructable<import("@microsoft/fast-foundation").FoundationElement>>;
//# sourceMappingURL=menu-item.d.ts.map