import { DialogElement } from '../dialog';
export declare const foundationModalShadowOptions: ShadowRootInit;
export declare const defaultModalConfig: {};
/**
 * @tagname %%prefix%%-modal
 */
export declare class Modal extends DialogElement {
    show(): void;
}
/**
 * The Foundation Modal
 *
 * @public
 * @remarks
 * HTML Element: \<foundation-modal\>
 */
export declare const foundationModal: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<{
    baseName: string;
    styles: import("@microsoft/fast-element").ElementStyles;
    template: import("@microsoft/fast-element").ViewTemplate<Modal, any>;
    shadowOptions: ShadowRootInit;
}>) => import("@microsoft/fast-foundation").FoundationElementRegistry<{
    baseName: string;
    styles: import("@microsoft/fast-element").ElementStyles;
    template: import("@microsoft/fast-element").ViewTemplate<Modal, any>;
    shadowOptions: ShadowRootInit;
}, typeof Modal>;
//# sourceMappingURL=modal.d.ts.map