/**
 * Mode for {@link SystemHealthOverlay}
 * @public
 */
export declare const SystemHealthOverlayMode: {
    readonly app: "app";
    readonly component: "component";
};
/**
 * Type for the {@link SystemHealthOverlay} Mode
 * @public
 */
export type SystemHealthOverlayMode = (typeof SystemHealthOverlayMode)[keyof typeof SystemHealthOverlayMode];
/**
 * @public
 */
export interface TimeTillNextUpdate {
    totalMs: number;
    remainMs: number;
    remainPercent: number;
}
//# sourceMappingURL=types.d.ts.map