import { Progress as FASTProgressRing } from '@microsoft/fast-components';
import type { ProgressRingOptions } from '@microsoft/fast-foundation';
/**
 * @tagname %%prefix%%-progress-ring
 */
export declare class ProgressRing extends FASTProgressRing {
}
export declare const foundationProgressRingShadowOptions: ShadowRootInit;
export declare const defaultProgressRingConfig: {
    indeterminateIndicator: string;
};
/**
 * The Foundation Progress Ring
 *
 * @public
 * @remarks
 * HTML Element: \<foundation-progress-ring\>
 */
export declare const foundationProgressRing: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<ProgressRingOptions>) => import("@microsoft/fast-foundation").FoundationElementRegistry<ProgressRingOptions, import("@microsoft/fast-element").Constructable<import("@microsoft/fast-foundation").FoundationElement>>;
//# sourceMappingURL=progress-ring.d.ts.map