import { Radio as FASTRadio } from '@microsoft/fast-components';
import type { RadioOptions } from '@microsoft/fast-foundation';
/**
 * @tagname %%prefix%%-radio
 */
export declare class Radio extends FASTRadio {
}
export declare const foundationRadioShadowOptions: ShadowRootInit;
export declare const defaultRadioConfig: {
    checkedIndicator: string;
};
/**
 * The Foundation Radio
 *
 * @public
 * @remarks
 * HTML Element: \<foundation-radio\>
 */
export declare const foundationRadio: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<RadioOptions>) => import("@microsoft/fast-foundation").FoundationElementRegistry<RadioOptions, import("@microsoft/fast-element").Constructable<import("@microsoft/fast-foundation").FoundationElement>>;
//# sourceMappingURL=radio.d.ts.map