import { Select as FASTSelect } from '@microsoft/fast-components';
import type { SelectOptions } from '@microsoft/fast-foundation';
/**
 * @tagname %%prefix%%-select
 */
export declare class Select extends FASTSelect {
}
export declare const foundationSelectShadowOptions: ShadowRootInit;
export declare const defaultSelectConfig: {
    indicator: string;
};
/**
 * The Foundation Select
 *
 * @public
 * @remarks
 * HTML Element: \<foundation-select\>
 */
export declare const foundationSelect: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<SelectOptions>) => import("@microsoft/fast-foundation").FoundationElementRegistry<SelectOptions, import("@microsoft/fast-element").Constructable<import("@microsoft/fast-foundation").FoundationElement>>;
//# sourceMappingURL=select.d.ts.map