import { FoundationElement } from '@microsoft/fast-foundation';
import type { FaSize } from '../icon';
export type VerticalAlign = 'baseline' | 'top' | 'middle' | 'bottom' | 'sub' | 'text-top';
export type StackingIconsSize = Omit<FaSize, 'stack-1x' | 'stack-2x'>;
/**
 * @tagname %%prefix%%-stacking-icons
 */
export declare class StackingIcons extends FoundationElement {
    size: StackingIconsSize;
    ['vertical-align']: VerticalAlign;
}
/**
 * The Foundation Stacking Icon
 *
 * @public
 * @remarks
 * HTML Element: \<foundation-stacking-icons\>
 */
export declare const foundationStackingIcons: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<import("@microsoft/fast-foundation").FoundationElementDefinition>) => import("@microsoft/fast-foundation").FoundationElementRegistry<import("@microsoft/fast-foundation").FoundationElementDefinition, typeof StackingIcons>;
//# sourceMappingURL=stacking-icons.d.ts.map