import { FoundationElement } from '@microsoft/fast-foundation';
export declare const foundationToastShadowOptions: ShadowRootInit;
export declare const defaultToastConfig: {};
/**
 * @tagname %%prefix%%-toast
 */
export declare class Toast extends FoundationElement {
    toast: HTMLElement;
    deleteAnimation: string;
    closeTimeout: number;
    autoClose: boolean;
    connectedCallback(): void;
    /**
     * Remove the toast from display.
     */
    close(): void;
}
/**
 * The Foundation Toast
 *
 * @public
 * @remarks
 * HTML Element: \<foundation-toast\>
 */
export declare const foundationToast: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<{
    baseName: string;
    styles: import("@microsoft/fast-element").ElementStyles;
    template: import("@microsoft/fast-element").ViewTemplate<Toast, any>;
    shadowOptions: ShadowRootInit;
}>) => import("@microsoft/fast-foundation").FoundationElementRegistry<{
    baseName: string;
    styles: import("@microsoft/fast-element").ElementStyles;
    template: import("@microsoft/fast-element").ViewTemplate<Toast, any>;
    shadowOptions: ShadowRootInit;
}, typeof Toast>;
//# sourceMappingURL=toast.d.ts.map