import { parseColorHexRGB } from '@microsoft/fast-colors';
import { PaletteRGB, SwatchRGB } from '@microsoft/fast-components';
/**
 * @internal
 */
export const white = SwatchRGB.create(1, 1, 1);
/**
 * @internal
 */
export const black = SwatchRGB.create(0, 0, 0);
/**
 * @internal
 */
const fuiBGColor = parseColorHexRGB('#585858');
export const defaultFillColor = SwatchRGB.create(fuiBGColor.r, fuiBGColor.g, fuiBGColor.b);
/**
 * @internal
 */
const fuiCardBGColor = parseColorHexRGB('#ffffff');
export const fuiDefaultCardFillColor = SwatchRGB.create(fuiCardBGColor.r, fuiCardBGColor.g, fuiCardBGColor.b);
export const fuiDefaultCardPalette = PaletteRGB.from(fuiDefaultCardFillColor);
/**
 * @internal
 */
const fuiNeutralRGB = parseColorHexRGB('#eeeeee');
export const fuiNeutralSwatch = SwatchRGB.create(fuiNeutralRGB.r, fuiNeutralRGB.g, fuiNeutralRGB.b);
export const fuiNeutralPalette = PaletteRGB.from(fuiNeutralSwatch);
/**
 * @internal
 */
const fuiAccentRGB = parseColorHexRGB('#08c3a5');
export const fuiAccentSwatch = SwatchRGB.create(fuiAccentRGB.r, fuiAccentRGB.g, fuiAccentRGB.b);
export const fuiAccentPalette = PaletteRGB.from(fuiAccentSwatch);
