import { Badge as FASTBadge } from '@microsoft/fast-components';
import { foundationBadgeStyles as styles } from './badge.styles';
import { foundationBadgeTemplate as template } from './badge.template';
/**
 * @tagname %%prefix%%-badge
 */
export class Badge extends FASTBadge {
}
// explicitly declaring for extensibility
export const foundationBadgeShadowOptions = undefined;
export const defaultBadgeConfig = {};
/**
 * The Foundation Badge
 *
 * @public
 * @remarks
 * HTML Element: \<foundation-badge\>
 */
export const foundationBadge = Badge.compose(Object.assign({ baseName: 'badge', template,
    styles, shadowOptions: foundationBadgeShadowOptions }, defaultBadgeConfig));
