import { BreadcrumbItem as FASTBreadcrumbItem } from '@microsoft/fast-components';
import { foundationBreadcrumbItemStyles as styles } from './breadcrumb-item.styles';
import { foundationBreadcrumbItemTemplate as template } from './breadcrumb-item.template';
/**
 * @tagname %%prefix%%-breadcrumb-item
 */
export class BreadcrumbItem extends FASTBreadcrumbItem {
}
// explicitly declaring for extensibility
export const foundationBreadcrumbItemShadowOptions = undefined;
export const defaultBreadcrumbItemConfig = {
    separator: '/',
};
/**
 * The Foundation Breadcrumb Item
 *
 * @public
 * @remarks
 * HTML Element: \<foundation-breadcrumb-item\>
 */
export const foundationBreadcrumbItem = BreadcrumbItem.compose(Object.assign({ baseName: 'breadcrumb-item', template,
    styles, shadowOptions: foundationBreadcrumbItemShadowOptions }, defaultBreadcrumbItemConfig));
