import { Breadcrumb as FASTBreadcrumb } from '@microsoft/fast-components';
import { foundationBreadcrumbStyles as styles } from './breadcrumb.styles';
import { foundationBreadcrumbTemplate as template } from './breadcrumb.template';
/**
 * @tagname %%prefix%%-breadcrumb
 */
export class Breadcrumb extends FASTBreadcrumb {
}
// explicitly declaring for extensibility
export const foundationBreadcrumbShadowOptions = undefined;
export const defaultBreadcrumbConfig = {};
/**
 * The Foundation Breadcrumb
 *
 * @public
 * @remarks
 * HTML Element: \<foundation-breadcrumb\>
 */
export const foundationBreadcrumb = Breadcrumb.compose(Object.assign({ baseName: 'breadcrumb', template,
    styles, shadowOptions: foundationBreadcrumbShadowOptions }, defaultBreadcrumbConfig));
