import { Card as FASTCard } from '@microsoft/fast-components';
import { foundationCardStyles as styles } from './card.styles';
import { foundationCardTemplate as template } from './card.template';
/**
 * @tagname %%prefix%%-card
 */
export class Card extends FASTCard {
}
// explicitly declaring for extensibility
export const foundationCardShadowOptions = undefined;
export const defaultCardConfig = {};
/**
 * The Foundation Card
 *
 * @public
 * @remarks
 * HTML Element: \<foundation-card\>
 */
export const foundationCard = Card.compose(Object.assign({ baseName: 'card', template,
    styles, shadowOptions: foundationCardShadowOptions }, defaultCardConfig));
