import { Menu as FASTMenu } from '@microsoft/fast-components';
import { foundationMenuStyles as styles } from './menu.styles';
import { foundationMenuTemplate as template } from './menu.template';
/**
 * @tagname %%prefix%%-menu
 */
export class Menu extends FASTMenu {
}
// explicitly declaring for extensibility
export const foundationMenuShadowOptions = undefined;
export const defaultMenuConfig = {};
/**
 * The Foundation Menu
 *
 * @public
 * @remarks
 * HTML Element: \<foundation-menu\>
 */
export const foundationMenu = Menu.compose(Object.assign({ baseName: 'menu', template,
    styles, shadowOptions: foundationMenuShadowOptions }, defaultMenuConfig));
