import { RadioGroup as FASTRadioGroup } from '@microsoft/fast-components';
import { foundationRadioGroupStyles as styles } from './radio-group.styles';
import { foundationRadioGroupTemplate as template } from './radio-group.template';
/**
 * @tagname %%prefix%%-radio-group
 */
export class RadioGroup extends FASTRadioGroup {
}
// explicitly declaring for extensibility
export const foundationRadioGroupShadowOptions = undefined;
export const defaultRadioGroupConfig = {};
/**
 * The Foundation Radio Group
 *
 * @public
 * @remarks
 * HTML Element: \<foundation-radio-group\>
 */
export const foundationRadioGroup = RadioGroup.compose(Object.assign({ baseName: 'radio-group', template,
    styles, shadowOptions: foundationRadioGroupShadowOptions }, defaultRadioGroupConfig));
