import { Radio as FASTRadio } from '@microsoft/fast-components';
import { foundationSegmentedItemStyles as styles } from './segmented-item.styles';
import { foundationSegmentedItemTemplate as template } from './segmented-item.template';
/**
 * @tagname %%prefix%%-segmented-item
 */
export class SegmentedItem extends FASTRadio {
}
// explicitly declaring for extensibility
export const foundationSegmentedItemShadowOptions = undefined;
export const defaultSegmentedItemConfig = {};
/**
 * The Foundation Segmented item
 *
 * @public
 * @remarks
 * HTML Element: \<foundation-segmented-item\>
 */
export const foundationSegmentedItem = SegmentedItem.compose(Object.assign({ baseName: 'segmented-item', template,
    styles, shadowOptions: foundationSegmentedItemShadowOptions }, defaultSegmentedItemConfig));
