import { Skeleton as FASTSkeleton } from '@microsoft/fast-components';
import { foundationSkeletonStyles as styles } from './skeleton.styles';
import { foundationSkeletonTemplate as template } from './skeleton.template';
/**
 * @tagname %%prefix%%-skeleton
 */
export class Skeleton extends FASTSkeleton {
}
// explicitly declaring for extensibility
export const foundationSkeletonShadowOptions = undefined;
export const defaultSkeletonConfig = {};
/**
 * The Foundation Skeleton
 *
 * @public
 * @remarks
 * HTML Element: \<foundation-skeleton\>
 */
export const foundationSkeleton = Skeleton.compose(Object.assign({ baseName: 'skeleton', template,
    styles, shadowOptions: foundationSkeletonShadowOptions }, defaultSkeletonConfig));
