import { Switch as FASTSwitch } from '@microsoft/fast-components';
import { foundationSwitchStyles as styles } from './switch.styles';
import { foundationSwitchTemplate as template } from './switch.template';
/**
 * @tagname %%prefix%%-switch
 */
export class Switch extends FASTSwitch {
}
// explicitly declaring for extensibility
export const foundationSwitchShadowOptions = undefined;
export const defaultSwitchConfig = {
    switch: `<div class="checked-indicator" part="checked-indicator"></div>`,
};
/**
 * The Foundation Switch
 *
 * @public
 * @remarks
 * HTML Element: \<foundation-switch\>
 */
export const foundationSwitch = Switch.compose(Object.assign({ baseName: 'switch', template,
    styles, shadowOptions: foundationSwitchShadowOptions }, defaultSwitchConfig));
