import { TabPanel as FASTTabPanel } from '@microsoft/fast-components';
import { foundationTabPanelStyles as styles } from './tab-panel.styles';
import { foundationTabPanelTemplate as template } from './tab-panel.template';
/**
 * @tagname %%prefix%%-tab-panel
 */
export class TabPanel extends FASTTabPanel {
}
// explicitly declaring for extensibility
export const foundationTabPanelShadowOptions = undefined;
export const defaultTabPanelConfig = {};
/**
 * The Foundation Tab Panel
 *
 * @public
 * @remarks
 * HTML Element: \<foundation-tab-panel\>
 */
export const foundationTabPanel = TabPanel.compose(Object.assign({ baseName: 'tab-panel', template,
    styles, shadowOptions: foundationTabPanelShadowOptions }, defaultTabPanelConfig));
