import { Tabs as FASTTabs } from '@microsoft/fast-components';
import { foundationTabsStyles as styles } from './tabs.styles';
import { foundationTabsTemplate as template } from './tabs.template';
/**
 * @tagname %%prefix%%-tabs
 */
export class Tabs extends FASTTabs {
}
// explicitly declaring for extensibility
export const foundationTabsShadowOptions = undefined;
export const defaultTabsConfig = {};
/**
 * The Foundation Tabs
 *
 * @public
 * @remarks
 * HTML Element: \<foundation-tabs\>
 */
export const foundationTabs = Tabs.compose(Object.assign({ baseName: 'tabs', template,
    styles, shadowOptions: foundationTabsShadowOptions }, defaultTabsConfig));
