import { TextArea as FASTTextArea } from '@microsoft/fast-components';
import { foundationTextAreaStyles as styles } from './text-area.styles';
import { foundationTextAreaTemplate as template } from './text-area.template';
/**
 * @tagname %%prefix%%-text-area
 */
export class TextArea extends FASTTextArea {
}
// explicitly declaring for extensibility
export const foundationTextAreaShadowOptions = undefined;
export const defaultTextAreaConfig = {};
/**
 * The Foundation Text Area
 *
 * @public
 * @remarks
 * HTML Element: \<foundation-text-area\>
 */
export const foundationTextArea = TextArea.compose(Object.assign({ baseName: 'text-area', template,
    styles, shadowOptions: foundationTextAreaShadowOptions }, defaultTextAreaConfig));
