import { Toolbar as FASTToolbar } from '@microsoft/fast-components';
import { foundationToolbarStyles as styles } from './toolbar.styles';
import { foundationToolbarTemplate as template } from './toolbar.template';
/**
 * @tagname %%prefix%%-toolbar
 */
export class Toolbar extends FASTToolbar {
}
// explicitly declaring for extensibility
export const foundationToolbarShadowOptions = undefined;
export const defaultToolbarConfig = {};
/**
 * The Foundation Toolbar
 *
 * @public
 * @remarks
 * HTML Element: \<foundation-toolbar\>
 */
export const foundationToolbar = Toolbar.compose(Object.assign({ baseName: 'toolbar', template,
    styles, shadowOptions: foundationToolbarShadowOptions }, defaultToolbarConfig));
